#ifndef QUEST_GAMEC
#define QUEST_GAMEC

#include <gdk_imlib.h>
#include <gdk/gdkkeysyms.h>
#include "sprite.h"	/* for zap_sprite() */
#include "item.h"	/* for zap_item() */
#include "monster.h"	/* for zap_monster() */
#include "xfuncs.h"
#include "types.h"
#include "global.h"

GameControl* new_gamec();
void zap_gamec(GameControl* gamec);

void do_cycle(GameControl** gamec); /* the main game cycle */

void area_center_monster(GameControl** gamec,Monster* who);
void freeze_game(GameControl** gamec);
void freeze_monsters(GameControl** gamec);

/* debug function... funny :) */
void change_player(GameControl** gamec);

#endif /* QUEST_GAMEC */